ATA_SCSIOP_INQ_STD(9)

NAME
ata_scsiop_inq_std - Simulate INQUIRY command

SYNOPSIS

unsigned int ata_scsiop_inq_std (struct ata_scsi_args * args, u8 * rbuf, unsigned int buflen);

ARGUMENTS

args
    device IDENTIFY data / SCSI command of interest.

rbuf
    Response buffer, to which simulated SCSI cmd output is sent.

buflen
    Response buffer length.

DESCRIPTION

Returns standard device identification data associated with non-EVPD INQUIRY command output.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.